Bug 4772 - [UPDATE REQUEST] freetype2 2.5.3 -> 2.5.4
: [UPDATE REQUEST] freetype2 2.5.3 -> 2.5.4
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-07 16:01 MSK by Andrey Bondrov
Modified: 2014-12-15 17:51 MSK (History)
3 users (show)

See Also:
RPM Package: freetype2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
kuzma.kazygashev: secteam_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2014-12-07 16:01:20 MSK
New version of freetype2 was released.
Comment 1 Andrey Bondrov 2014-12-07 16:02:17 MSK
Advisory: "New version 2.5.4. It fixes vulnerability CVE-2014-2240 in the CFF driver. The library also contains a new round of patches for better protection against malformed fonts. The main new feature, which is also one of the targets mentioned in the pledgie roadmap below, is auto-hinting support for Devanagari and Telugu, two widely used Indic scripts."

https://abf.rosalinux.ru/build_lists/2349153
https://abf.rosalinux.ru/build_lists/2349154
Comment 2 FirstLevel 2014-12-08 10:32:49 MSK
Update goes well
Comment 3 Vladimir Potapov 2014-12-15 15:55:37 MSK
freetype2-2.5.4-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2349153/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2349154/x86_64/main/release/
*************************** Advisory ***********************
New version 2.5.4.
*************************** Changelog **********************
It fixes vulnerability CVE-2014-2240 in the CFF driver. The library also contains a new round of patches for better protection against malformed fonts. The main new feature, which is also one of the targets mentioned in the pledgie roadmap below, is auto-hinting support for Devanagari and Telugu, two widely used Indic scripts.
************************************************************
QA Verified